=== debian/changelog ===
librepo (1.12.1-4) unstable; urgency=medium

  * Team upload.
  * Source upload for testing migration.

 -- Holger Levsen <holger@debian.org>  Wed, 03 Feb 2021 10:17:24 +0100

librepo (1.12.1-3) unstable; urgency=medium

  * debian/copyright: Update and specify copyright holders

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Tue, 02 Feb 2021 14:12:22 +0100

librepo (1.12.1-2) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove listed license files (COPYING) from copyright.
  * Remove unnecessary get-orig-source-target.

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Wed, 30 Dec 2020 09:40:15 -0000

librepo (1.12.1-1) unstable; urgency=medium

  * Initial upload.
  * librepo, libcomps and libdnf are all needed for dnf, see #978627 (ITP bug
    for dnf) and https://github.com/QubesOS/qubes-issues/issues/5940 for more
    details on this packaging efford.

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Sat, 26 Dec 2020 10:00:00 +0100
