=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(?:v|librepo\-)?(\d\S+)\.tar\.gz/librepo-$1\.tar\.gz/ \
  https://github.com/rpm-software-management/librepo/releases .*/(?:v|librepo\-)?(\d\S+)\.tar\.gz
