=== debian/changelog ===
librepo (1.14.5-3) unstable; urgency=medium

  * Update patch for test_yum_package_downloading.py thanks to
    Adrian Bunk. Closes: #1028023.

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Tue, 10 Jan 2023 09:23:24 +0100

librepo (1.14.5-2) unstable; urgency=medium

  * Set myself to maintainer.
  * Add 0005-test_yum_package_downloading.py-Don-t-hardcode-a-val.patch
    thanks to Adrian Bunk. Closes: #1028023.

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Sat, 07 Jan 2023 19:27:50 +0100

librepo (1.14.5-1) unstable; urgency=medium

  * Team upload.

  [ Frédéric Pierret ]
  * Update to librepo-1.14.5.
  * Update debian/control: bump debhelper-compat to 13.
  * Update debian/rules: remove reproducible flag being the default
    and remove not needed anymore PYTHON_DESIRED from dh_auto_configure.
  * Update debian/watch: update to use tags endpoint.

  [ Holger Levsen ]
  * Add debian/patches/0004-find-gpgme-pkg-conf.patch thanks to
    Andreas Metzler. Closes: #1024576.

 -- Holger Levsen <holger@debian.org>  Thu, 05 Jan 2023 17:14:04 +0100

librepo (1.14.0-1) experimental; urgency=high

  * Update to librepo-1.14.0

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Wed, 14 Apr 2021 15:16:00 +0200
