=== debian/changelog ===
librepo (1.18.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.18.0'

 -- Luca Boccassi <bluca@debian.org>  Mon, 08 Jul 2024 13:09:30 +0100

librepo (1.17.2-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.17.2'
  * Refresh patches for new release

 -- Luca Boccassi <bluca@debian.org>  Sat, 29 Jun 2024 13:01:10 +0100

librepo (1.17.1-1) unstable; urgency=medium

  * Move package to pkg-rpm-team
  * Switch to git-buildpackage workflow
  * Update upstream source from tag 'upstream/1.17.1'
  * Switch to pkgconf
  * Refresh patches for 1.17.1
  * Update symbols for 1.17.1
  * Drop dependency on distutils, deprecated (Closes: #1065894)
  * Drop dependency on python3-nose, deprecated (Closes: #1018400)
  * librepo-doc: add dependency on libjs-jquery (Closes: #989331)
  * Drop dh_missing, default since compat 13
  * Enable ELF metadata stamping
  * Switch to dh-sequence-python3
  * Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.7.0
  * Drop dependency on pkg-config from librepo-dev, not needed
  * Drop debian revision from librepo0 symbol
  * Drop python3-librepo.lintian-overrides, not needed anymore

 -- Luca Boccassi <bluca@debian.org>  Mon, 15 Apr 2024 00:24:03 +0100

librepo (1.14.5-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move python3 modules from /usr/lib/local/ (Closes: #1052911)

 -- Luca Boccassi <bluca@debian.org>  Sun, 29 Oct 2023 15:42:43 +0000
