## librepo 1.18.1

=== debian/changelog ===
librepo (1.18.1-1) unstable; urgency=high

  * Update upstream source from tag 'upstream/1.18.1'

 -- Luca Boccassi <bluca@debian.org>  Mon, 26 Aug 2024 11:42:25 +0100
