=== debian/changelog ===
librepo (1.19.0-1build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:01:38 +0100

librepo (1.19.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.19.0'
  * Refresh patches to remove fuzz from new version

 -- Luca Boccassi <bluca@debian.org>  Thu, 07 Nov 2024 11:45:24 +0000
