=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: librepo
 Section: libs
 Priority: optional
-Maintainer: Frédéric Pierret <frederic.pierret@qubes-os.org>
+Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
+Uploaders: Frédéric Pierret <frederic.pierret@qubes-os.org>,
+           Luca Boccassi <bluca@debian.org>,
 Build-Depends: debhelper-compat (= 13),
- dh-python,
+ dh-package-notes,
+ dh-sequence-python3,
  python3-dev,
  libpython3-dev,
  cmake,
- pkg-config,
+ pkgconf,
  libglib2.0-dev,
  libssl-dev,
  libcurl4-gnutls-dev,
@@ -18,13 +21,13 @@
  check,
  libxml2-dev,
  python3-flask,
- python3-nose,
  python3-pyxattr,
  python3-gpg,
-Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
 Homepage: https://github.com/rpm-software-management/librepo
-Vcs-Browser: https://salsa.debian.org/fepitre/librepo
-Vcs-Git: https://salsa.debian.org/fepitre/librepo.git
+Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/librepo
+Vcs-Git: https://salsa.debian.org/pkg-rpm-team/librepo.git
 #Testsuite: autopkgtest-pkg-python
 
 Package: librepo-dev
@@ -33,7 +36,6 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
  librepo0 (= ${binary:Version}),
- pkg-config,
  libglib2.0-dev,
  libssl-dev,
  libcurl4-gnutls-dev,
@@ -61,7 +63,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}, libjs-jquery,
 Description: Documentation for the librepo library (common documentation)
  A library providing C and Python (libcURL-like) APIs to
  download repository metadata.
@@ -75,7 +77,6 @@
 Section: python
 Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends},
  librepo0 (= ${binary:Version}),
- python3-distutils | libpython3-stdlib (<< 3.7~),
 Suggests: python3-librepo-doc
 Description: Python bindings for the librepo library (Python 3)
  A library providing C and Python (libcURL-like) APIs to
