## librepo 1.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -39,7 +39,11 @@
 FIND_PACKAGE(CURL 7.52.0 REQUIRED)
 
 IF (USE_GPGME)
-    FIND_PACKAGE(Gpgme REQUIRED)
+    PKG_SEARCH_MODULE(GPGME gpgme)
+    IF (NOT GPGME_FOUND)
+        FIND_PACKAGE(Gpgme REQUIRED)
+        SET (GPGME_LIBRARIES "${GPGME_VANILLA_LIBRARIES}")
+    ENDIF(NOT GPGME_FOUND)
     IF (ENABLE_SELINUX)
         PKG_CHECK_MODULES(SELINUX REQUIRED libselinux)
     ENDIF(ENABLE_SELINUX)
