=== librepo/CMakeLists.txt ===
--- 
+++ 
@@ -70,7 +70,7 @@
                         ${GLIB2_LIBRARIES}
                      )
 IF (USE_GPGME)
-    TARGET_LINK_LIBRARIES(librepo ${GPGME_VANILLA_LIBRARIES})
+    TARGET_LINK_LIBRARIES(librepo ${GPGME_LIBRARIES})
     IF (ENABLE_SELINUX)
         TARGET_LINK_LIBRARIES(librepo ${SELINUX_LIBRARIES})
     ENDIF(ENABLE_SELINUX)
