=== debian/changelog ===
librepo (1.20.0-1~deb13u1) trixie; urgency=medium

  * Upload to trixie

 -- Luca Boccassi <bluca@debian.org>  Tue, 12 Aug 2025 23:23:26 +0100

librepo (1.20.0-1) unstable; urgency=medium

  * Improve handling of SELinux in the Debian packaging
  * Update upstream source from tag 'upstream/1.20.0'
  * Drop patches merged upstream
  * d/control: bump Standards-Version to 4.7.2, no changes
  * d/copyright: use GPL URL instead of old FSF postal address
  * Add new symbols to librepo0.symbols

 -- Luca Boccassi <bluca@debian.org>  Mon, 21 Jul 2025 16:54:10 +0100
