=== debian/control ===
--- 
+++ 
@@ -23,8 +23,9 @@
  python3-flask,
  python3-pyxattr,
  python3-gpg,
+ libselinux1-dev [linux-any],
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/rpm-software-management/librepo
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/librepo
 Vcs-Git: https://salsa.debian.org/pkg-rpm-team/librepo.git
