=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,17 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
+include /usr/share/debhelper/dh_package_notes/package-notes.mk
 
+ifneq (linux,$(DEB_HOST_ARCH_OS))
+       EXTRA_CMAKE_ARGS += -DENABLE_SELINUX:BOOL=OFF
+endif
 %:
-	dh "${@}" --buildsystem=cmake --with=python3
+	dh "${@}" --buildsystem=cmake
 
 override_dh_auto_configure:
 	dh_auto_configure --builddirectory=build -- \
-		-DENABLE_DOCS:BOOL=ON -DENABLE_TESTS:BOOL=ON -DWITH_ZCHUNK:BOOL=OFF
+		-DENABLE_DOCS:BOOL=ON -DENABLE_TESTS:BOOL=ON -DWITH_ZCHUNK:BOOL=OFF $(EXTRA_CMAKE_ARGS)
 
 override_dh_auto_build:
 	dh_auto_build --builddirectory=build -- all doc
@@ -35,7 +39,3 @@
 
 override_dh_auto_test:
 	dh_auto_test --builddirectory=build
-
-override_dh_missing:
-	dh_missing --fail-missing
-
