=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/librepo-$1\.tar\.gz/ \
  https://github.com/rpm-software-management/librepo/tags .*/@ANY_VERSION@\.tar\.gz
